#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include "ponto.h"

/*
* =================================================
*    Filename:  .c
* Description:
*     Created:  dd/mm/18 hh:mm
* =================================================
*/

struct ponto
{
	float x;
	float y;
};

Ponto *criar_ponto()
{
	Ponto *P;
	P = (Ponto *) malloc(sizeof(Ponto));

	if(P == NULL)
	{
		printf("Erro na alocação do ponto\n");
		exit(-1);
	}
	return P;
}

void libera_ponto(Ponto *P)
{
	free(P);
	P = NULL;
}

float point_distance(Ponto *P1, Ponto *P2)
{
	if(P1 == NULL || P2 == NULL)
	{
		printf("Erro:\n\tNão foi possivel ser feito o calculo da distancia\n");
		exit(-1);
	}
	return sqrt(pow((P2->x - P1->x), 2) + pow((P2->y - P1->y), 2));
}

void set_value(Ponto *p,int x,int y)
{
	p->x = x;
	p->y = y;
}
